Package org.jboss.resteasy.spi.metadata

## Class DefaultResourceLocator

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.DefaultResourceLocator

- All Implemented Interfaces:
    `ResourceLocator`
  Direct Known Subclasses:
    `DefaultResourceMethod`

      public class DefaultResourceLocator
      extends Object
      implements ResourceLocator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Method` | `annotatedMethod` |
    `protected String` | `fullpath` |
    `protected Type` | `genericReturnType` |
    `protected Method` | `method` |
    `protected MethodParameter[]` | `params` |
    `protected String` | `path` |
    `protected ResourceClass` | `resourceClass` |
    `protected Class<?>` | `returnType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultResourceLocator​(ResourceClass resourceClass, Method method, Method annotatedMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Method` | `getAnnotatedMethod()` |
    `String` | `getFullpath()` |
    `Type` | `getGenericReturnType()` |
    `Method` | `getMethod()` |
    `MethodParameter[]` | `getParams()` |
    `String` | `getPath()` |
    `ResourceClass` | `getResourceClass()` |
    `Class<?>` | `getReturnType()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resourceClass

          protected ResourceClass resourceClass

    - #### returnType

          protected Class<?> returnType

    - #### genericReturnType

          protected Type genericReturnType

    - #### method

          protected Method method

    - #### annotatedMethod

          protected Method annotatedMethod

    - #### params

          protected MethodParameter[] params

    - #### fullpath

          protected String fullpath

    - #### path

          protected String path

  - ### Constructor Detail

    - #### DefaultResourceLocator

          public DefaultResourceLocator​(ResourceClass resourceClass,
                                        Method method,
                                        Method annotatedMethod)

  - ### Method Detail

    - #### getResourceClass

          public ResourceClass getResourceClass()

      Specified by:
        `getResourceClass` in interface `ResourceLocator`

    - #### getReturnType

          public Class<?> getReturnType()

      Specified by:
        `getReturnType` in interface `ResourceLocator`

    - #### getGenericReturnType

          public Type getGenericReturnType()

      Specified by:
        `getGenericReturnType` in interface `ResourceLocator`

    - #### getMethod

          public Method getMethod()

      Specified by:
        `getMethod` in interface `ResourceLocator`

    - #### getAnnotatedMethod

          public Method getAnnotatedMethod()

      Specified by:
        `getAnnotatedMethod` in interface `ResourceLocator`

    - #### getParams

          public MethodParameter[] getParams()

      Specified by:
        `getParams` in interface `ResourceLocator`

    - #### getFullpath

          public String getFullpath()

      Specified by:
        `getFullpath` in interface `ResourceLocator`

    - #### getPath

          public String getPath()

      Specified by:
        `getPath` in interface `ResourceLocator`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`